---
title: Post-Script On Hotspots
layout: post
date: 2023-06-04 12:29:50
tags: Blog
excerpt_separator: <!--more-->
---

So it turns out the Libre Computer *will* boot standard RPi images...it's just it doesn't boot like a RPi. Unlike
ARMBoot or whatever it uses; the Le Potato actually uses a custom bootloader and EFI boot...it actually has a boot
screen. You boot it without card and you get a nice screen telling you the OS can't be found, unlike an RPi that does
nothing. 

I dug around and found Libre had a github repository and a script to convert Raspbian images to boot. It required
an existing RPi to do the work for you. So I flashed a new Pi-Star image, ran the script, found out I needed more 
space on the /boot partition, fixed that problem, converted the image, fixed the filesystem mount points, and it
booted. 

So...Pi-Star itself actually works on the Le Potato. There was additional work in enabling the UART on the header,
but so far it does seem to work. However I think there are some additional issues with something as the load never
drops below 1, which I don't recall it doing on a Pi3. It does however have an additional 3 cores to work with, so
that's fine in my book for now. I've been running it a few days and other than the TYTMD380, both of my DMR radios 
work just fine. The SHARI Pi-Hat has been running hamvoip for ASL with no issues. I checked in to the local net and have had a few
conversations with people who only commented at how clean my signal was "in to the repeater". 

I also figured out, after digging deeper in to things after I had stuff working; all the stuff I needed was pretty
much built in to ASL. The simple-usb utility is what sets the sound card up to provide PTT on it's GPIO to the SA818.
So in reality...there wasn't anything too special, the documentation is just...lacking. But that doesn't change the
fact I couldn't compile anything on it. I was told this was likely due to app_rpt never having been updated for 
64-bit. Maybe. Whatever arch it wanted to use to compile wasn't in my kernel sources...which could have been a bad
config on the Libre provided image or the fact I needed a 32-bit OS which they didn't provide. 

The sad part is the Pi-Star staff. When I shared this information on their forum, it was immediately removed without
any discussion with me. The only discussion was one admin saying "no" and removing it. This is not the first time I've
had issues with them outright deleting things I've written over there. I mean you base your project on an open-source
operating system but don't seem to want users doing anything *they* don't want done. 

I'll be ditching actual Pi-Star soon. I've been talking with W0CHP who forked Pi-Star and makes an improved version.
They are actually planning on supporting Le Potato natively...so I offered to both beta-test and provide help. 

In the meantime, if you want to boot Pi-Star on Le Potato...I've put the information in one place the Pi-Star admins
can't remove it....my Git repository! https://git.pickmy.org/nq4t/PiStar-On-Libre-Le-Potato
